com.ihr.xbrl.om.formula.aspects

## Class NonXDTSegmentRuleSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<ContextComponentRuleInterface>
      - - com.ihr.xbrl.om.formula.aspects.OpenContextComponentRuleSet
        - - com.ihr.xbrl.om.formula.aspects.NonXDTSegmentRuleSet

- All Implemented Interfaces:
    SegmentAspectInterface, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ContextComponentRuleInterface>, java.util.Collection<ContextComponentRuleInterface>, java.util.List<ContextComponentRuleInterface>, java.util.RandomAccess

      public class NonXDTSegmentRuleSet
      extends OpenContextComponentRuleSet
      implements SegmentAspectInterface

  The Class NonXDTSegmentRuleSet.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonXDTSegmentRuleSet()` Instantiates a new non xdt segment rule set.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getSegment(XPathHelper xph, FContext fc)` Gets the segment.

    - ### Methods inherited from class com.ihr.xbrl.om.formula.aspects.OpenContextComponentRuleSet

      `addRule`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonXDTSegmentRuleSet

          public NonXDTSegmentRuleSet()
                               throws XFValidationException

      Instantiates a new non xdt segment rule set.
      Throws:
        `XFValidationException` - the XF validation exception

  - ### Method Detail

    - #### getSegment

          public void getSegment(XPathHelper xph,
                        FContext fc)
                          throws XFValidationException

      Description copied from interface: `SegmentAspectInterface`
      Gets the segment.
      Specified by:
        `getSegment` in interface `SegmentAspectInterface`
      Parameters:
        `xph` - the xph
        `fc` - the fc
      Throws:
        `XFValidationException` - the XF validation exception